Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class RandomUserIdGenerator

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.RandomUserIdGenerator

All Implemented Interfaces:
  `Function<ProfileRequestContext,byte[]>`

@ThreadSafe public final class RandomUserIdGenerator extends Object implements Function<ProfileRequestContext,byte[]>
A user.id generator that generates a random 64 byte user.id. Will return `null` if one can not be generated.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IdentifierGenerationStrategy`
`idGeneratorStrategy`
The user.id generation strategy.
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`RandomUserIdGenerator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### idGeneratorStrategy

private final IdentifierGenerationStrategy idGeneratorStrategy
The user.id generation strategy.

## Constructor Details

### RandomUserIdGenerator

public RandomUserIdGenerator() throws ComponentInitializationException
Constructor.

Throws:
  `ComponentInitializationException` - if the secure random implementation can not be created

## Method Details

### apply

@Nullable public byte[] apply(ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,byte[]>`